Entur Developer
Personnel tickets

API for handling personnel ticket entitlements.


Gets entitlements for a customer

GET
https://api.entur.io
/customers/v2/benefits/entitlements/{customerNumber}/by-customer-number

Gets entitlements for a customer by customer number, including information about the product, contract and contract holder.

Gets entitlements for a customer › path Parameters

customerNumber
​integer · int64 · required · style: simple

Gets entitlements for a customer › query Parameters

travelDate
​string · date-time · style: form · explode: true

Get valid entitlements for travel date

excludeSubContracts
​boolean · style: form · explode: true

Exclude day trip entitlements. Default is false

Gets entitlements for a customer › Headers

Authorization
​string · required · style: simple
ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Gets entitlements for a customer › Responses

OK

Entitlement containing information about contract, product, contract holder and ticker order
productId
​string · required

Id of the product connected to the contracts loyalty program

productVersion
​string · required

Version of the product connected to the contracts loyalty program

contractUUID
​string · required

Contract UUID, used to identify a contract

contractOwnerCustomerNumber
​integer · int64 · required

Contract owner customer number

contractOwnerDisplayName
​string · required

Contract owners first and last name

contractValidFrom
​string · required

Contract consumable from date

passengerCategory
​string · enum · required

Passenger category.

Enum values:
STUDENT
SENIOR_CITIZEN
ADULT
​LocalizedText[]

Display name for loyalty program

contractExternalRef
​string

External contract reference if set.

​LocalDateResponse

Contract owners birth day

contractValidTo
​string

Contract expiration date

contractParent
​string

If present, contract UUID of the parent contract. This field is usually set if the contract is created by a coupon usage, whereas this contract has a time constraint and the parent has a coupon constraint.

Example: fd29908d-a2ae-4fe0-8e10-7f0db437c554
remainingCoupons
​integer · int64

Remaining coupons connected to the contract

couponsLimit
​integer · int64

How many coupons the contract has. Default is cascaded from Loyalty Program Version. If set, the contract will be blocked for usage when all coupons are used. Coupons are registered via an OrderLineEvent.

Example: 10
ticketOrderId
​string

If present, a ticket is included in this right. It may be distributed or redistributed to this device.


Did you find what you were looking for?